Last Comment Bug 741064 - treeView.js: "function PTV__buildVisibleSection does not always return a value"
: treeView.js: "function PTV__buildVisibleSection does not always return a value"
Status: VERIFIED FIXED
: regression
Product: Firefox
Classification: Client Software
Component: Bookmarks & History (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Firefox 14
Assigned To: Serge Gautherie (:sgautherie)
:
Mentors:
http://mxr.mozilla.org/mozilla-centra...
Depends on:
Blocks: 520659 741062
  Show dependency treegraph
 
Reported: 2012-03-31 03:23 PDT by Serge Gautherie (:sgautherie)
Modified: 2012-04-03 06:52 PDT (History)
2 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
wontfix
wontfix
wontfix
wontfix


Attachments
(Av1) Fix "function PTV__buildVisibleSection does not always return a value" [Checked in: Comment 3] (1.03 KB, patch)
2012-03-31 05:17 PDT, Serge Gautherie (:sgautherie)
asaf: review+
Details | Diff | Splinter Review

Description Serge Gautherie (:sgautherie) 2012-03-31 03:23:37 PDT
{
265       return;
276       return cc;
319     return rowsInserted;
}

Should it return null?
Comment 1 Bill Gianopoulos [:WG9s] 2012-03-31 03:37:04 PDT
Looking at the callers, it would be better to return 0.
Comment 2 Serge Gautherie (:sgautherie) 2012-03-31 05:17:25 PDT
Created attachment 611153 [details] [diff] [review]
(Av1) Fix "function PTV__buildVisibleSection does not always return a value"
[Checked in: Comment 3]

(In reply to Bill Gianopoulos [:WG9s] from comment #1)
> it would be better to return 0.

Right.
Comment 3 Serge Gautherie (:sgautherie) 2012-04-01 09:17:10 PDT
Comment on attachment 611153 [details] [diff] [review]
(Av1) Fix "function PTV__buildVisibleSection does not always return a value"
[Checked in: Comment 3]

https://hg.mozilla.org/mozilla-central/rev/dd21f16d11da
Comment 4 Serge Gautherie (:sgautherie) 2012-04-01 11:06:09 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10547706&tree=Firefox&full=1
Rev3 Fedora 12 mozilla-central debug test mochitests-3/5 on 2012-04-01 04:17:41 PDT for push 8b75b4f686e7
{
JavaScript strict warning: chrome://browser/content/places/treeView.js, line 276: function PTV__buildVisibleSection does not always return a value
JavaScript strict warning: chrome://browser/content/places/treeView.js, line 319: function PTV__buildVisibleSection does not always return a value
}


https://tbpl.mozilla.org/php/getParsedLog.php?id=10551807&tree=Firefox&full=1
Rev3 Fedora 12 mozilla-central debug test mochitests-3/5 on 2012-04-01 09:57:28 PDT for push dd21f16d11da

V.Fixed

Note You need to log in before you can comment on or make changes to this bug.